package routes

import (
	"gitlab.com/pactual1/backend/controllers"

	"github.com/gin-gonic/gin"
)

func RegisterPublicRoutes(r *gin.Engine) {

	r.GET("/dashboard/map/contract/devices", controllers.GetDevicesByContract)
	r.GET("/dashboard/map/contracts", controllers.GetLatestContracts)
	r.GET("/dashboard/map/device_data", controllers.GetDeviceData)
	
	r.POST("/device_data/save", controllers.SaveDeviceInfo)

}
